# wxIPaddress Class Reference
[Networking]

`#include <wx/socket.h>`

Inheritance diagram for wxIPaddress:
[legend]

## Detailed Description

wxIPaddress is an abstract base class for all internet protocol address objects.

Currently, only wxIPV4address is implemented. An experimental implementation for IPV6, wxIPV6address, is being developed.

##

Library: wxBase

Category: Networking

## Public Member Functions
bool | AnyAddress ()
| Internally, this is the same as setting the IP address to INADDR_ANY.
virtual bool | BroadcastAddress ()=0
| Internally, this is the same as setting the IP address to INADDR_BROADCAST.
bool | Hostname (const wxString &hostname)
| Set the address to hostname, which can be a host name or an IP-style address in a format dependent on implementation.
wxString | Hostname () const
| Returns the hostname which matches the IP address.
virtual wxString | IPAddress () const =0
| Returns a wxString containing the IP address.
virtual bool | IsLocalHost () const =0
| Determines if current address is set to localhost.
bool | LocalHost ()
| Set address to localhost.
bool | Service (const wxString &service)
| Set the port to that corresponding to the specified service.
bool | Service (unsigned short service)
| Set the port to that corresponding to the specified service.
unsigned short | Service () const
| Returns the current service.

List of all members.

## Member Function Documentation

bool wxIPaddress::AnyAddress | ( |  | ) |

Internally, this is the same as setting the IP address to INADDR_ANY.

On IPV4 implementations, 0.0.0.0

On IPV6 implementations, ::

Returns:
  true on success, false if something went wrong.

Reimplemented in wxIPV4address.

virtual bool wxIPaddress::BroadcastAddress | ( |  | ) | `[pure virtual]`

Internally, this is the same as setting the IP address to INADDR_BROADCAST.

On IPV4 implementations, 255.255.255.255

Returns:
  true on success, false if something went wrong.

wxString wxIPaddress::Hostname | ( |  | ) | const

Returns the hostname which matches the IP address.

Reimplemented in wxIPV4address.

bool wxIPaddress::Hostname | ( | const wxString & | hostname | ) |

Set the address to hostname, which can be a host name or an IP-style address in a format dependent on implementation.

Returns:
  true on success, false if something goes wrong (invalid hostname or invalid IP address).

Reimplemented in wxIPV4address.

virtual wxString wxIPaddress::IPAddress | ( |  | ) | const`[pure virtual]`

Returns a wxString containing the IP address.

Implemented in wxIPV4address.

virtual bool wxIPaddress::IsLocalHost | ( |  | ) | const`[pure virtual]`

Determines if current address is set to localhost.

Returns:
  true if address is localhost, false if internet address.

bool wxIPaddress::LocalHost | ( |  | ) |

Set address to localhost.

On IPV4 implementations, 127.0.0.1

On IPV6 implementations, ::1

Returns:
  true on success, false if something went wrong.

Reimplemented in wxIPV4address.

unsigned short wxIPaddress::Service | ( |  | ) | const

Returns the current service.

Reimplemented in wxIPV4address.

bool wxIPaddress::Service | ( | unsigned short | service | ) |

Set the port to that corresponding to the specified service.

Returns:
  true on success, false if something goes wrong (invalid service).

Reimplemented in wxIPV4address.

bool wxIPaddress::Service | ( | const wxString & | service | ) |

Set the port to that corresponding to the specified service.

Returns:
  true on success, false if something goes wrong (invalid service).

Reimplemented in wxIPV4address.

|  | [ top ]